Package org.apache.sling.caconfig.impl.def

# Class DefaultConfigurationInjectResourceDetectionStrategy

java.lang.Object
org.apache.sling.caconfig.impl.def.DefaultConfigurationInjectResourceDetectionStrategy

All Implemented Interfaces:
  `org.apache.sling.caconfig.spi.ConfigurationInjectResourceDetectionStrategy`

public class DefaultConfigurationInjectResourceDetectionStrategy extends Object implements org.apache.sling.caconfig.spi.ConfigurationInjectResourceDetectionStrategy
Default implementation of `ConfigurationInjectResourceDetectionStrategy` which always uses the resource of the current request.

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigurationInjectResourceDetectionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable org.apache.sling.api.resource.Resource`
`detectResource(@NotNull org.apache.sling.api.SlingHttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConfigurationInjectResourceDetectionStrategy

public DefaultConfigurationInjectResourceDetectionStrategy()

## Method Details

### detectResource

@Nullable public @Nullable org.apache.sling.api.resource.Resource detectResource(@NotNull @NotNull org.apache.sling.api.SlingHttpServletRequest request)

Specified by:
  `detectResource` in interface `org.apache.sling.caconfig.spi.ConfigurationInjectResourceDetectionStrategy`